# Mollie Recurring Payments (`mollie_recurring_payments`)

This Drupal module extends the [Mollie for Drupal](https://www.drupal.org/project/mollie) integration to support recurring payments, including enhanced storage and display of recurring payment data.

## Features

- Adds recurring payment support to Mollie payments.
- Stores additional customer and mandate information on Mollie payment entities.
- Integrates with Webform for recurring payment submissions.

## Requirements

- Drupal 10 or 11
- [Mollie for Drupal](https://www.drupal.org/project/mollie)
- [Webform](https://www.drupal.org/project/webform) (>= 6.x)
- [Mollie Webform](https://www.drupal.org/project/mollie_webform)

## Installation

1. Install the required modules via Composer and enable them in Drupal.
2. Place this module in your `web/modules/custom` directory.
3. Enable the module via the Drupal admin UI or Drush:
   ```sh
   drush en mollie_recurring_payments
   ```

## Configuration

- No additional configuration is required.
- The module automatically extends the Mollie payment entity with recurring payment fields.
- Use the "Mollie recurring payment" webform handler to create recurring payments from Webform submissions.

## Usage

- When enabled, new fields such as customer name, email, customer ID, sequence type, and mandate ID are available on Mollie payment entities.
- To use recurring payments in a Webform, add the "Mollie recurring payment" handler to your form.

## Extending

- The module overrides the Mollie payment storage and list builder classes to handle recurring payment logic.
